BizKitHub
DocsAPI ReferenceContact/bff/contact/process-set-password
postContactAdmin BFF

/bff/contact/process-set-password

Validates the reset token and sets the new password for the contact.

ContactpostBffContactProcess-set-password

Parameters

JSON body

Request body

application/json
tokenstringRequired

Password reset token from the verification email.

passwordstringRequired

New password to set.

Response schema

1 status code documented

200Success
object | object
One of 2:
Variant 1
success"true"Required
Variant 2
success"false"Required
errorCodestringRequired
ExamplesE001E002E003E004
messagestringRequired
ExamplesChange password failed.You have entered a previously used password. For security reasons, please enter a new and unique password.Reset password request does not exist.Reset password request has been expired.

Response example

application/json
{
  "success": true
}

Request example

POST /bff/contact/process-set-password

post
curl -X POST "https://api.bizkithub.com/bff/contact/process-set-password" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "token": "example_token",
  "password": "example_password"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key